Topic: [Solved] Install problem of libnfc with ACR122U

Hi,

Hello, I have a problem with the installation of libnfc on Raspberry Pi (Raspbian).
I use ACR122U reader.
This is what I do:

tar -xvf libnfc-1.7.1.tar.bz2
cd  libnfc-1.7.1/
./configure –with-drivers=all
make
sudo make install
cd utils/
sudo nfc-scan-device

and I have the following problem:

nfc-scan-device uses libnfc 1.7.1
1 NFC device(s) found:
error    libnfc.driver.acr122_usb    Unable to claim USB interface (Device or resource busy)
nfc_open failed for acr122_usb:001:011

I tried to install :
ACR122U driver
latest version of pcsc-lite
but it still does not work

do you have an idea ?
Thks

Re: [Solved] Install problem of libnfc with ACR122U

RTFM!

https://github.com/nfc-tools/libnfc/blob/master/README

PCSC is not needed and Udev rules are not installed...

Additionally, libnfc is packaged in Debian, so you can use the package instead of source if you are not able to understand how you should install it smile

PS: And ACR122U is really a bad choice...

Romuald Conty